CREATE DATABASE shaishai;
use shaishai;
/******************************2012-05-05*********************************************/
/*用户表*/
CREATE TABLE user( 
	id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	email VARCHAR(300) NOT NULL UNIQUE COMMENT '用户邮箱 必须唯一', 
	nickname VARCHAR(100) NOT NULL COMMENT '用户昵称',
	jointime INT UNSIGNED NOT NULL COMMENT '用户加入时间',
	state TINYINT NOT NULL DEFAULT 0 COMMENT '用户状态，0:未激活,1:正常,2:删除'
) ENGINE=MYISAM DEFAULT CHARSET=utf8;

/*登录记录表*/
CREATE TABLE loginlog(
	id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	us_id INT UNSIGNED NOT NULL COMMENT '用户ID', 
	ip VARCHAR(100) NOT NULL COMMENT '用户IP',
	address VARCHAR(300) NOT NULL DEFAULT 'unkown' COMMENT '用户地址',
	time INT UNSIGNED NOT NULL COMMENT '用户登录时间',
	duration INT NOT NULL DEFAULT 0 COMMENT '用户在线时长'
) ENGINE=MYISAM DEFAULT CHARSET=utf8;

/*图片表*/
CREATE TABLE image(
	id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	grouptag VARCHAR(32) NOT NULL COMMENT '图片所在群组',
	description VARCHAR(500) COMMENT '图片描述',
	path VARCHAR(300) COMMENT '图片路径',
	type TINYINT NOT NULL DEFAULT 1 COMMENT '类型,1:广场,2:活动',
	md5 VARCHAR(32) COMMENT '图片MD5值',
	us_id INT UNSIGNED NOT NULL COMMENT '用户ID',
	ac_id INT UNSIGNED NOT NULL COMMENT '活动ID',
	ip VARCHAR(100) NOT NULL COMMENT '用户IP',
	address VARCHAR(300) NOT NULL DEFAULT 'unkown' COMMENT '用户地址',
	uploadtime INT UNSIGNED NOT NULL COMMENT '图片上传时间'
) ENGINE=MYISAM DEFAULT CHARSET=utf8;

/*活动表*/
CREATE TABLE activity(
	id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	description VARCHAR(500) COMMENT '活动描述',
	state TINYINT NOT NULL DEFAULT 1 COMMENT '活动状态，1:正常,2:删除',
	begintime INT UNSIGNED NOT NULL COMMENT '活动开始时间',
	endtime INT UNSIGNED NOT NULL COMMENT '活动结束时间',
	createtime INT UNSIGNED NOT NULL COMMENT '活动创建时间'
) ENGINE=MYISAM DEFAULT CHARSET=utf8;

/*投票表*/
CREATE TABLE voting(
	id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	img_id INT UNSIGNED NOT NULL COMMENT '图片ID',
	us_id INT UNSIGNED NOT NULL COMMENT '用户ID',	
	time INT UNSIGNED NOT NULL COMMENT '投票时间'
) ENGINE=MYISAM DEFAULT CHARSET=utf8;

/*收藏表*/
CREATE TABLE collection(
	id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	img_id INT UNSIGNED NOT NULL COMMENT '图片ID',
	us_id INT UNSIGNED NOT NULL COMMENT '用户ID',	
	time INT UNSIGNED NOT NULL COMMENT '收藏时间'
) ENGINE=MYISAM DEFAULT CHARSET=utf8;

/*评论表*/
CREATE TABLE discuss(
	id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	content VARCHAR(500) COMMENT '评论内容',
	state TINYINT NOT NULL DEFAULT 1 COMMENT '评论状态，1:正常,2:删除',
	img_id INT UNSIGNED NOT NULL COMMENT '图片ID',
	us_id INT UNSIGNED NOT NULL COMMENT '用户ID',
	ip VARCHAR(100) NOT NULL COMMENT '用户IP',
	address VARCHAR(300) NOT NULL DEFAULT 'unkown' COMMENT '用户地址',
	time INT UNSIGNED NOT NULL COMMENT '评论时间'
) ENGINE=MYISAM DEFAULT CHARSET=utf8;


/******************************2012-05-06*********************************************/
/*表的改变*/
/*图片表，增加字段url*/
ALTER TABLE image CHANGE COLUMN path path VARCHAR(300) COMMENT '图片路径';
ALTER TABLE image ADD COLUMN url VARCHAR(300) COMMENT '网络路径' AFTER path;
/*收藏表，增加字段grouptag,description*/
ALTER TABLE collection CHANGE COLUMN img_id img_id INT UNSIGNED COMMENT '图片ID';
ALTER TABLE collection ADD COLUMN grouptag VARCHAR(32) COMMENT '图片所在群组' AFTER img_id;
ALTER TABLE collection ADD COLUMN description VARCHAR(500) COMMENT '收藏描述' AFTER grouptag;

/******************************2012-05-08*********************************************/
/*表的改变*/
/*用户表表，增加字段password*/
ALTER TABLE user ADD COLUMN password VARCHAR(32) NOT NULL COMMENT '密码' AFTER email;